Page MenuHomePhabricator

Remove ability for bureaucrats on outreachwiki to remove bureaucrat flag
Closed, ResolvedPublic

Description

Remove the ability for bureaucrats to remove bureaucrat flag on outreach.wikimedia. This will improve security and bring outreach more in line with the default configuration.

Community discussion: https://outreach.wikimedia.org/w/index.php?title=Wikimedia:Village_pump&oldid=186404#Bureaucrat_removal

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2019, 1:28 AM
Koavf added a subscriber: Koavf.Jan 18 2019, 2:08 AM
Urbanecm claimed this task.Jan 18 2019, 7:27 AM
Urbanecm added a subscriber: Urbanecm.

Will do.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 18 2019, 7:27 AM
Urbanecm triaged this task as Normal priority.Jan 20 2019, 4:03 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 485493 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove ability for bureaucrats on outreachwiki to remove bureaucrat flag

https://gerrit.wikimedia.org/r/485493

Scheduled for deployment on Tuesday 22.

Change 485493 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove ability for bureaucrats on outreachwiki to remove bureaucrat flag

https://gerrit.wikimedia.org/r/485493

Mentioned in SAL (#wikimedia-operations) [2019-01-22T12:29:43Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:485493|Remove ability for bureaucrats on outreachwiki to remove bureaucrat flag (T214133)]] (duration: 00m 46s)

Urbanecm closed this task as Resolved.Jan 22 2019, 12:31 PM

Deployed.